Subject: Re: [take25 1/6] kevent: Description.

From: Ulrich Drepper <[email-masked]>
Date: Mon, 27 Nov 2006 11:23:25 -0800

Evgeniy Polyakov wrote:

> That index is provided by kernel for userspace so that userspace could
> determine where indexes are - of course userspace can maintain it
> itself, but it can also use provided by kernel.

Indeed.  That's what I said.  But I also pointed out that the field is 
only useful in simple minded programs and certainly not in the wrappers 
the runtime (glibc) will provide.

As you said yourself, there is no real need for the value being there, 
userland can keep track of it by itself.  So, let's reduce the interface.

> I do not care actually about that index, but as you have probably noticed, 
> there was such an interface already, and I changed it. So, this will be the 
> last change of the interface. You think it should not be exported -
> fine, it will not be.

Thanks.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖